use lib 'inc';
use Devel::AssertOS qw[Linux];

# This file was automatically generated by Dist::Zilla::Plugin::MakeMaker v5.020.
use strict;
use warnings;

use 5.010;

use ExtUtils::MakeMaker ;



my %WriteMakefileArgs = (
  "ABSTRACT" => "Blocks bad MTA behavior using IPTables.",
  "AUTHOR" => "Tamer Rizk <foss\@inficron.com>",
  "CONFIGURE_REQUIRES" => {
    "ExtUtils::MakeMaker" => 0
  },
  "DISTNAME" => "Mail-SpamAssassin-Contrib-Plugin-IPFilter",
  "EXE_FILES" => [],
  "LICENSE" => "bsd",
  "NAME" => "Mail::SpamAssassin::Contrib::Plugin::IPFilter",
  "PREREQ_PM" => {
    "Config::Crontab" => "1.40",
    "DBI" => "1.631",
    "Date::Parse" => "2.30",
    "Email::Simple" => "2.0",
    "Fcntl" => "1.11",
    "Hash::Util" => "0.11",
    "IPTables::ChainMgr" => "1.5",
    "JSON::XS" => "3.01",
    "Lingua::StopWords" => "0.09",
    "MIME::Base64" => "3.0",
    "MIME::Lite" => "3.0",
    "Mail::SpamAssassin" => "3.0",
    "Math::Round" => 0,
    "Net::DNS" => "1.06",
    "POSIX" => "1.24",
    "PathTools" => "3.62",
    "Redis" => "1.5",
    "Sys::SigAction" => "0.21",
    "Text::Document" => "1.07"
  },
  "TEST_REQUIRES" => {
    "DBI" => "1.631",
    "Data::Dumper" => "2.154",
    "Email::Simple" => "2.0",
    "IPTables::ChainMgr" => "1.5",
    "Redis" => "1.5",
    "Test::More" => "0.88"
  },
  "VERSION" => "1.2",
  "test" => {
    "TESTS" => "t/*.t"
  }
);


my %FallbackPrereqs = (
  "Config::Crontab" => "1.40",
  "DBI" => "1.631",
  "Data::Dumper" => "2.154",
  "Date::Parse" => "2.30",
  "Email::Simple" => "2.0",
  "Fcntl" => "1.11",
  "Hash::Util" => "0.11",
  "IPTables::ChainMgr" => "1.5",
  "JSON::XS" => "3.01",
  "Lingua::StopWords" => "0.09",
  "MIME::Base64" => "3.0",
  "MIME::Lite" => "3.0",
  "Mail::SpamAssassin" => "3.0",
  "Math::Round" => 0,
  "Net::DNS" => "1.06",
  "POSIX" => "1.24",
  "PathTools" => "3.62",
  "Redis" => "1.5",
  "Sys::SigAction" => "0.21",
  "Test::More" => "0.88",
  "Text::Document" => "1.07"
);


unless ( eval { ExtUtils::MakeMaker->VERSION(6.63_03) } ) {
  delete $WriteMakefileArgs{TEST_REQUIRES};
  delete $WriteMakefileArgs{BUILD_REQUIRES};
  $WriteMakefileArgs{PREREQ_PM} = \%FallbackPrereqs;
}

delete $WriteMakefileArgs{CONFIGURE_REQUIRES}
  unless eval { ExtUtils::MakeMaker->VERSION(6.52) };

WriteMakefile(%WriteMakefileArgs);